Subject: [bug#29408] [PATCH] gnu: python-pyopenssl: Update to 17.4.0.

From: Rutger Helling <[email-masked]>
Date: Thu, 23 Nov 2017 16:19:52 +0100

Hi Leo,

Gajim immediately stops on launch with the following error:

Traceback (most recent call last):
   File "gajim.py", line 307, in <module>
     OpenSSL.rand.load_file(str(RNG_SEED))
AttributeError: 'module' object has no attribute 'load_file'

I wasn't able to find a bug issue about it, then again this update has
only been out for two days.

On 2017-11-23 16:02, Leo Famulari wrote:

> On Thu, Nov 23, 2017 at 09:37:47AM +0100, Rutger Helling wrote:
> 
>> I think I'd like to withdraw this patch for now. It breaks gajim which
>> doesn't bode well for other dependent packages.
>> 
>> Either that or I can rewrite it to add a [email-masked] 
>> package
>> for broken packages.
> 
> Thanks for checking. I also like to check the impact on 'certbot' when
> updating this package.
> 
> Can you say how it breaks Gajim? Can you find any discussion in the
> pyopenssl or Gajim bug trackers?